package org.jboss.infinispan.test;

import org.apache.log4j.Logger;
import org.infinispan.Cache;
import org.infinispan.manager.DefaultCacheManager;
import org.jboss.aop.microcontainer.aspects.jmx.JMX;

@JMX(exposedInterface=TestBean1MBean.class, registerDirectly=true)
public class TestBean1 implements TestBean1MBean {
	private static Logger LOG = Logger.getLogger(TestBean1.class);
	private DefaultCacheManager cacheManager = null;
	
	public void loadData(DefaultCacheManager cacheManager) {
		LOG.info("Loading test data into Default Cache.");
		this.cacheManager = cacheManager;
		Cache<String, Object> cache = cacheManager.getCache();
		cache.put("InfinispanRESTServerTestBean1_key1", "data");
	}
	
	public void removeData() {
		if (cacheManager != null) {
			LOG.info("Cleaning test data from Default Cache.");
			Cache<String, Object> cache = cacheManager.getCache();
			cache.remove("InfinispanRESTServerTestBean1_key1");
		}
	}
	
	public void printKey(String key) {
		Cache<String, Object> cache = cacheManager.getCache();
		LOG.info("InVM GET(" + key + ") = " + cache.get(key));
	}
}
